<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup Label="Globals">
        <SccProjectName>SAK</SccProjectName>
        <SccProvider>SAK</SccProvider>
        <SccAuxPath>SAK</SccAuxPath>
        <SccLocalPath>SAK</SccLocalPath>
    </PropertyGroup>
    <PropertyGroup>
        <ImplicitUsings>enable</ImplicitUsings>
        <LangVersion>10.0</LangVersion>
        <Nullable>disable</Nullable>
        <OutputType>Exe</OutputType>
        <RuntimeIdentifier>win-x64</RuntimeIdentifier>
        <TargetFramework>net6.0</TargetFramework>
    </PropertyGroup>
    <PropertyGroup>
        <PackageId>Infineon.Mesa.EAF.DEP08SIASM</PackageId>
        <GeneratePackageOnBuild>false</GeneratePackageOnBuild>
        <Version>6.0.0.0</Version>
        <Authors>Mike Phares</Authors>
        <Company>Phares</Company>
        <IncludeSymbols>true</IncludeSymbols>
        <SymbolPackageFormat>snupkg</SymbolPackageFormat>
    </PropertyGroup>
    <PropertyGroup>
        <VSTestLogger>trx</VSTestLogger>
        <VSTestResultsDirectory>../../../../DEP08SIASM/05_TestResults/TestResults</VSTestResultsDirectory>
    </PropertyGroup>
    <PropertyGroup>
        <IsWindows Condition="'$([System.Runtime.InteropServices.RuntimeInformation]::IsOSPlatform($([System.Runtime.InteropServices.OSPlatform]::Windows)))' == 'true'">true</IsWindows>
        <IsOSX Condition="'$([System.Runtime.InteropServices.RuntimeInformation]::IsOSPlatform($([System.Runtime.InteropServices.OSPlatform]::OSX)))' == 'true'">true</IsOSX>
        <IsLinux Condition="'$([System.Runtime.InteropServices.RuntimeInformation]::IsOSPlatform($([System.Runtime.InteropServices.OSPlatform]::Linux)))' == 'true'">true</IsLinux>
    </PropertyGroup>
    <PropertyGroup Condition="'$(IsWindows)'=='true'">
        <DefineConstants>Windows</DefineConstants>
    </PropertyGroup>
    <PropertyGroup Condition="'$(IsOSX)'=='true'">
        <DefineConstants>OSX</DefineConstants>
    </PropertyGroup>
    <PropertyGroup Condition="'$(IsLinux)'=='true'">
        <DefineConstants>Linux</DefineConstants>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="coverlet.collector" Version="3.1.1" />
        <PackageReference Include="FFMpegCore" Version="4.7.0" />
        <PackageReference Include="Instances" Version="1.6.1" />
        <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Configuration.CommandLine" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Configuration.EnvironmentVariables" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Configuration.FileExtensions" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Configuration.json" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Configuration" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Logging.Console" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Logging" Version="6.0.0" />
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.0.0" />
        <PackageReference Include="Microsoft.Win32.SystemEvents" Version="6.0.0" />
        <PackageReference Include="MSTest.TestAdapter" Version="2.2.8" />
        <PackageReference Include="MSTest.TestFramework" Version="2.2.8" />
        <PackageReference Include="RoboSharp" Version="1.2.5" />
        <PackageReference Include="System.Configuration.ConfigurationManager" Version="6.0.0" />
        <PackageReference Include="System.Data.OleDb" Version="6.0.0" />
        <PackageReference Include="System.Data.SqlClient" Version="4.8.3" />
        <PackageReference Include="System.Drawing.Common" Version="6.0.0" />
        <PackageReference Include="System.Text.Json" Version="6.0.1" />
        <PackageReference Include="Tesseract" Version="4.1.1" />
    </ItemGroup>
    <ItemGroup>
        <PackageReference Include="External.Common.Logging.Core" Version="3.3.1"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="External.Common.Logging" Version="3.3.1"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="External.Infineon.Monitoring.MonA" Version="1.2.0.1"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="External.Infineon.Yoda" Version="5.2.1"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="External.log4net" Version="2.0.8"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="Tibco.Rendezvous" Version="8.5.0" />
    </ItemGroup>
    <ItemGroup>
        <PackageReference Include="Pdfbox" Version="1.1.1"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="IKVM.AWT.WinForms" Version="7.2.4630.5"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="IKVM.OpenJDK.Core" Version="7.2.4630.5"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="IKVM.OpenJDK.Media" Version="7.2.4630.5"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="IKVM.OpenJDK.Text" Version="7.2.4630.5"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="IKVM.OpenJDK.Util" Version="7.2.4630.5"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="IKVM.OpenJDK.XML.API" Version="7.2.4630.5"><NoWarn>NU1701</NoWarn></PackageReference>
        <PackageReference Include="IKVM.Runtime" Version="7.2.4630.5"><NoWarn>NU1701</NoWarn></PackageReference>
    </ItemGroup>
    <ItemGroup>
        <None Include="appsettings.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
        <None Include="appsettings.Development.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
        <None Include="tessdata/eng.traineddata">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
        <None Include="tessdata/pdf.ttf">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </None>
    </ItemGroup>
</Project>